Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Vector3D Class Reference

STK 3D vector class. More...

`#include <Vector3D.h>`

List of all members.

## Public Member Functions

| Vector3D (double initX=0.0, double initY=0.0, double initZ=0.0)
| Default constructor taking optional initial X, Y, and Z values.
| ~Vector3D ()
| Class destructor.
double | getX ()
| Get the current X value.
double | getY ()
| Get the current Y value.
double | getZ ()
| Get the current Z value.
double | getLength ()
| Calculate the vector length.
void | setXYZ (double anX, double aY, double aZ)
| Set the X, Y, and Z values simultaniously.
void | setX (double aval)
| Set the X value.
void | setY (double aval)
| Set the Y value.
void | setZ (double aval)
| Set the Z value.

## Detailed Description

STK 3D vector class.

This class implements a three-dimensional vector.

by Perry R. Cook, 1995 - 2002.

Definition at line 14 of file Vector3D.h.

The documentation for this class was generated from the following file:

- Vector3D.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.